Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 219170 - Kernel crash as soon as it detects the GXT2000P frame buffer installed.
Summary: Kernel crash as soon as it detects the GXT2000P frame buffer installed.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: ppc64
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2006-12-11 17:14 UTC by Abbott
Modified: 2008-02-08 04:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:27:19 UTC


Attachments (Terms of Use)

Description Abbott 2006-12-11 17:14:06 UTC
Description of problem:
At boot startup to install Fedora core 6 for powerPC, The system crashes after
the kernel reports finding the frame buffer and tries to open it.


Version-Release number of selected component (if applicable):


How reproducible:
Always, even after complete install with no frame buffer, and re installing the
frame buffer "GXT2000P" with crash the kernel as soon as it finds it.

Steps to Reproduce:
1.Install a GXT2000P frame buffer in the system.
2.Boot of the install CDROM or the hard drive. 
3.The kernel crashes as soon as it detects the frame buffer and tries to open it.
  
Actual results:
Found frame buffer at [ some address ], then the kernel just hangs for a few
seconds and you can see the operator panel lcd displaying digits that the system
is not responding any more.

Expected results:
At lease a way to make it use the frame buffer without crashing, I've tested the
same machine with the stock RHEL release 4 and it works fine. 


Additional info: stock RHEL Release 4 works as expected on this machine.

The machine I'm testing is IBM 7044-270, a single 375MHZ 512MB memory, 2x18GB HD
and a GXT2000P frame buffer card with 32MB display memory.

Please let me know if I can pass some kernel parameters that could make it work.

Comment 1 David Woodhouse 2006-12-12 15:01:48 UTC
Try booting with 'video=ofonly'.

Newer kernels have a driver for the GXTxxxx cards which we may be able to get
working on your machine.

Comment 2 Abbott 2006-12-14 04:30:00 UTC
I tried with video=ofonly with no luck.

Last message I see before the crash is:
returning from prom_init


Comment 3 Abbott 2006-12-17 05:46:33 UTC
Newer kernels?
I just did a "yum update kernel" and yum picked up a newer kernel
2.6.18-1.2849.fc, re installed the GXT buffer, booted with the new kernel and
still have the same problem, last message I get on the monitor is "returning
from prom_init".
Is there any newer kernels that support this frame buffer?
Can I recompile the kernel to add support for it?
Please let me know, I'm stuck.
Thanks.

Comment 4 David Woodhouse 2006-12-17 10:15:55 UTC
Sorry, I meant newer upstream kernels -- it'll turn up in rawhide at some point.

Comment 5 Jon Stanley 2008-01-08 01:49:23 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 6 Jon Stanley 2008-02-08 04:27:19 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.